API reference
Usage
GET
after?stringLength
length <= 32limit?integerRange
1 <= value <= 500Default
100OK
application/json- response
userIds*array<string>next*stringcurl -X GET 'https://api.keko.run/v1/deletions'Example Response
{ "userIds": [ "string" ], "next": "string"}POST
application/json- body
reports*array<>Items
1 <= items <= 500OK
application/json- response
accepted*numberduplicates*numberallowances*array<>curl -X POST 'https://api.keko.run/v1/usage' \ -H 'Content-Type: application/json' \ -d '{ "reports": [ { "id": "stringst", "userId": "string", "machineId": "string", "startedAt": 1, "endedAt": 1 } ]}'Example Response
{ "accepted": 0, "duplicates": 0, "allowances": [ { "userId": "string", "plan": "free", "period": "string", "usedSeconds": 0, "limitSeconds": 0, "remainingSeconds": 0, "maxConcurrent": 0, "maxSize": "small", "maxRuns": 0, "maxClaudeSessions": 0, "snapshotBuildsPerDay": 0, "blocked": "hours_used" } ]}GET
userId*stringLength
1 <= length <= 200OK
application/json- response
allowance*curl -X GET 'https://api.keko.run/v1/usage/allowance?userId=string'Example Response
{ "allowance": { "userId": "string", "plan": "free", "period": "string", "usedSeconds": 0, "limitSeconds": 0, "remainingSeconds": 0, "maxConcurrent": 0, "maxSize": "small", "maxRuns": 0, "maxClaudeSessions": 0, "snapshotBuildsPerDay": 0, "blocked": "hours_used" }}